#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseX64=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
;
; AutoIt Version: 3.0
;
; Script Function:
;   Runs Multicharts with certain workspace
;   23.02.2014

;#RequireAdmin


#include <MsgBoxConstants.au3>
Opt("WinTitleMatchMode", 2)     ;1=start, 2=subStr, 3=exact, 4=advanced, -1 to -4=Nocase
Opt("MouseCoordMode", 1)

;  
$TWS_Title="Gateway"   ; Title: "IB Gateway.  API Konto: "


if FileExists("d:\Users\Adwand\Documents\Multicharts\UW_Husker_Chart.wsp") Then
  $WorkSpaceFile="d:\Users\Adwand\Documents\Multicharts\UW_Husker_Chart.wsp"
  $DebugFile ="d:\Users\Adwand\Documents\Multicharts\Debug\Start_AUI_Husker.txt"
Else
  $WorkSpaceFile="c:\Users\Adwand\Documents\Multicharts\UW_Husker_Chart.wsp"
  $DebugFile ="c:\Users\Adwand\Documents\Multicharts\Debug\Start_AUI_Husker.txt"
Endif

If $CmdLine[0] > 0 Then
  $WorkSpaceFile=$CmdLine[1];
endif

;$ProgPath="c:\Program Files (x86)\TS Support\MultiCharts\MultiCharts.exe "
$ProgPath="c:\Program Files\TS Support\MultiCharts64\MultiCharts64.exe "

$ProgPath=$ProgPath & $WorkSpaceFile


; Run Multicharts
Run($ProgPath, "", @SW_MAXIMIZE)

; Wait for Multicharts become active
WinWait("MultiCharts","", 5)

;;Sleep(5*1000)
;;Send("{ENTER}")
; wait 12 sekunden
Sleep(15*1000)

FileWriteLine ( $DebugFile, "in AutoIT Start_MC_Husker" )

; Abfragen, ob TWS aktiv ist

;

Local $hWnd = WinGetHandle($TWS_Title, "")


if WinExists($hWnd) Then
  ;  MsgBox($MB_SYSTEMMODAL, "", "Window " & $TWS_Title & " is active")
Else
  ;  MsgBox($MB_SYSTEMMODAL, "", "Window " & $TWS_Title & " is active")
endif


Local $i = 25
Local $NoTWS = WinExists($TWS_Title)
While $i <= 5 and $NoTWs = false
 ;   MsgBox($MB_SYSTEMMODAL, "", "Value of $i is: " & $i)
    $i = $i + 1
	Sleep(1*1000)
	$NoTWS = WinExists($TWS_Title)
WEnd


;$NoTWS = WinExists($TWS_Title)
;MsgBox($MB_SYSTEMMODAL, "", "Value of $NoTWS is: " & $NoTWS)


;if WinActive ("DU167056 LYNX",3)  Then

If WinExists($TWS_Title) Then


  ; AutoTrading "SA Mode" kan nerst aktiviert werden, wenn Daten vorhanden sind
  ; Enable Autotrading
  ;Send ALT-F, A, Enter  (da F doppelt halt o
  WinActivate("MultiCharts")
  Sleep(15 * 1000)
 ; MsgBox($MB_SYSTEMMODAL, "", "Value of $i is: " & $i)
  Send("{ALT}")
  Send("{o}")
  Sleep(1*1000)
  Send("{DOWN 3}")
  Sleep(1*1000)
  Send("{DOWN 1}")
  Send("{DOWN 1}")

  Sleep(1*1000)
  Send("{ENTER}")
  Send("{ENTER}")

  ; wait 10 seconds
  Sleep(2*1000)

Else
   MsgBox($MB_SYSTEMMODAL, "", "Window " & $TWS_Title & " does not exist")

EndIf;
; Finished!
